Skip to main content
`Ctrl`+`K`

# FNEvaluateDerivative

Computes the value of the derivative \(f'(x)\) for a given \(x\).

## Synopsis

    #include "slepcfn.h"
    PetscErrorCode FNEvaluateDerivative(FN fn,PetscScalar x,PetscScalar *y)

Not Collective

## Input Parameters

- fn - the math function context

- x - the value where the derivative must be evaluated

## Output Parameter

- y - the result of \(f'(x)\)

## Note

Scaling factors are taken into account, so the actual derivative evaluation will return \(\alpha\beta f'(\alpha x)\).

## See Also

FN: Mathematical Functions, `FNEvaluateFunction()`, `FNSetScale()`

## Level

intermediate

## Location

src/sys/classes/fn/interface/fnbasic.c

## Implementations

FNEvaluateDerivative_Combine() in src/sys/classes/fn/impls/combine/fncombine.c
FNEvaluateDerivative_Exp() in src/sys/classes/fn/impls/exp/fnexp.c
FNEvaluateDerivative_Invsqrt() in src/sys/classes/fn/impls/invsqrt/fninvsqrt.c
FNEvaluateDerivative_Log() in src/sys/classes/fn/impls/log/fnlog.c
FNEvaluateDerivative_Phi() in src/sys/classes/fn/impls/phi/fnphi.c
FNEvaluateDerivative_Rational() in src/sys/classes/fn/impls/rational/fnrational.c
FNEvaluateDerivative_Sqrt() in src/sys/classes/fn/impls/sqrt/fnsqrt.c

Index of all FN routines Table of Contents for all manual pages Index of all manual pages